aim4.driver

## Interface DriverSimView

- All Known Implementing Classes:
    AutoDriver, AutoV2VDriver, CrashTestDummy, Driver, ProxyDriver

      public interface DriverSimView

  A driver from simulators' viewpoint.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `act()` Take control actions for driving the agent's Vehicle.
    `Lane` | `getCurrentLane()` Get the Lane the driver is currently following.
    `Set<Lane>` | `getCurrentlyOccupiedLanes()` Get the lanes the driver's vehicle currently occupies.
    `Road` | `getDestination()` Get where this driver is going.
    `SpawnPoint` | `getSpawnPoint()` Get where this driver is coming from.
    `VehicleDriverView` | `getVehicle()` Get the Vehicle this DriverAgent is controlling.
    `void` | `setCurrentLane(Lane lane)` Set the Lane the driver is currently following.
    `void` | `setDestination(Road destination)` Set where this driver is going.
    `void` | `setSpawnPoint(SpawnPoint spawnPoint)` Set where this driver agent is coming from.

- - ### Method Detail

    - #### act

          void act()

      Take control actions for driving the agent's Vehicle. This includes physical manipulation of the Vehicle as well as sending any messages or performing any coordination tasks.

    - #### getVehicle

          VehicleDriverView getVehicle()

      Get the Vehicle this DriverAgent is controlling.
      Returns:
        the Vehicle this DriverAgent is controlling

    - #### getCurrentLane

          Lane getCurrentLane()

      Get the Lane the driver is currently following.
      Returns:
        the Lane the driver is currently following

    - #### getCurrentlyOccupiedLanes

          Set<Lane> getCurrentlyOccupiedLanes()

      Get the lanes the driver's vehicle currently occupies.
      Returns:
        the lanes the driver's vehicle currently occupies

    - #### setCurrentLane

          void setCurrentLane(Lane lane)

      Set the Lane the driver is currently following.
      Parameters:
        `lane` - the Lane the driver should follow

    - #### getSpawnPoint

          SpawnPoint getSpawnPoint()

      Get where this driver is coming from.
      Returns:
        the Road where this driver is coming from

    - #### setSpawnPoint

          void setSpawnPoint(SpawnPoint spawnPoint)

      Set where this driver agent is coming from.
      Parameters:
        `spawnPoint` - the spawn point that generated the driver

    - #### getDestination

          Road getDestination()

      Get where this driver is going.
      Returns:
        the Road where this driver is going

    - #### setDestination

          void setDestination(Road destination)

      Set where this driver is going.
      Parameters:
        `destination` - the Road where this driver should go

Copyright © 2013. All rights reserved.